Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.config.phase.custom
Class CustomSolverPhaseConfig

    java.lang.Object
      org.optaplanner.core.config.phase.SolverPhaseConfig
          org.optaplanner.core.config.phase.custom.CustomSolverPhaseConfig

    public class CustomSolverPhaseConfig

extends SolverPhaseConfig

Field Summary
`protected List<Class<CustomSolverPhaseCommand>>` | `customSolverPhaseCommandClassList`
`protected Boolean` | `forceUpdateBestSolution`

Constructor Summary
`CustomSolverPhaseConfig()`

Method Summary
`CustomSolverPhase` | `buildSolverPhase(int phaseIndex, EnvironmentMode environmentMode, SolutionDescriptor solutionDescriptor, ScoreDefinition scoreDefinition, Termination solverTermination)`
`List<Class<CustomSolverPhaseCommand>>` | `getCustomSolverPhaseCommandClassList()`
`Boolean` | `getForceUpdateBestSolution()`
`void` | `inherit(CustomSolverPhaseConfig inheritedConfig)`
`void` | `setCustomSolverPhaseCommandClassList(List<Class<CustomSolverPhaseCommand>> customSolverPhaseCommandClassList)`
`void` | `setForceUpdateBestSolution(Boolean forceUpdateBestSolution)`

Methods inherited from class org.optaplanner.core.config.phase.SolverPhaseConfig
`configureSolverPhase, getTerminationConfig, inherit, setTerminationConfig`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### customSolverPhaseCommandClassList

    protected List<Class<CustomSolverPhaseCommand>> customSolverPhaseCommandClassList

### forceUpdateBestSolution

    protected Boolean forceUpdateBestSolution

Constructor Detail

### CustomSolverPhaseConfig

    public CustomSolverPhaseConfig()

Method Detail

### getCustomSolverPhaseCommandClassList

    public List<Class<CustomSolverPhaseCommand>> getCustomSolverPhaseCommandClassList()

### setCustomSolverPhaseCommandClassList

    public void setCustomSolverPhaseCommandClassList(List<Class<CustomSolverPhaseCommand>> customSolverPhaseCommandClassList)

### getForceUpdateBestSolution

    public Boolean getForceUpdateBestSolution()

### setForceUpdateBestSolution

    public void setForceUpdateBestSolution(Boolean forceUpdateBestSolution)

### buildSolverPhase

    public CustomSolverPhase buildSolverPhase(int phaseIndex,
                                              EnvironmentMode environmentMode,
                                              SolutionDescriptor solutionDescriptor,
                                              ScoreDefinition scoreDefinition,
                                              Termination solverTermination)

  Specified by:
    `buildSolverPhase` in class `SolverPhaseConfig`

### inherit

    public void inherit(CustomSolverPhaseConfig inheritedConfig)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.